Package ru.bitel.bgbilling.plugins.crm.server.dao

# Class RegisterSubjectManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<RegisterSubject>
ru.bitel.bgbilling.common.dao.AbstractIdDao<RegisterSubject>
ru.bitel.bgbilling.plugins.crm.server.dao.RegisterSubjectManager

public class RegisterSubjectManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<RegisterSubject>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterSubjectManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteRegisterSubject(int id)`
  `protected RegisterSubject`
  `getFromRS(ResultSet rs)`
  `RegisterSubject`
  `getRegisterSubjectById(int id)`
  `List<RegisterSubject>`
  `getRegisterSubjectList()`
  `protected void`
  `updateImpl(RegisterSubject registerSubject)`
  `int`
  `updateRegisterSubject(RegisterSubject registerSubject)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterSubjectManager

    public RegisterSubjectManager(Connection con)

- ## Method Details

  - ### getRegisterSubjectById

    public RegisterSubject getRegisterSubjectById(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateRegisterSubject

    public int updateRegisterSubject(RegisterSubject registerSubject) throws Exception
    Throws:
      `Exception`

  - ### deleteRegisterSubject

    public void deleteRegisterSubject(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getRegisterSubjectList

    public List<RegisterSubject> getRegisterSubjectList() throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected RegisterSubject getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegisterSubject>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(RegisterSubject registerSubject) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<RegisterSubject>`
    Throws:
      `SQLException`